From 92999312e7f40f64f2b2aa436bc4886eb4fe2ec0 Mon Sep 17 00:00:00 2001
From: Marko Kocic <marko.kocic@gmail.com>
Date: Wed, 20 Oct 2010 12:39:59 +0200
Subject: [PATCH] Fix using slime-connect on windows

---
 slime.el |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/slime.el b/slime.el
index 8fc44ce..8dabfac 100644
--- a/slime.el
+++ b/slime.el
@@ -1182,9 +1182,9 @@ DIRECTORY change to this directory before starting the process.
   (interactive (list (read-from-minibuffer
                       "Host: " (first slime-connect-host-history)
                       nil nil '(slime-connect-host-history . 1))
-                     (read-from-minibuffer
+                     (string-to-int (read-from-minibuffer
                       "Port: " (first slime-connect-port-history)
-                      nil nil '(slime-connect-port-history . 1))))
+                      nil nil '(slime-connect-port-history . 1)))))
   (when (and (interactive-p) slime-net-processes
              (y-or-n-p "Close old connections first? "))
     (slime-disconnect-all))
-- 
1.7.0.2.msysgit.0

